> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query report data with request body

> Retrieve report data for Competitive and Benchmark reports. Use this endpoint when you need to pass `competitor_source_account_ids` or `benchmarks` in the request body.

- See [Export dashboard report data via API](/guides/reporting/export-dashboard-report-data-via-api) for detailed guides on each report type.



## OpenAPI

````yaml api-reference/dashboard-openapi.json PUT /reports/data
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Dash Social Backend Service for Dashboard.
  title: Dash Social Dashboard Backend Service
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://dashboard.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for creating, reading, and updating dashboards.
    name: Dashboard
  - description: Endpoints responsible for creating, reading, and updating reports.
    name: Dashboard Report
  - description: Endpoints responsible for general reporting data / CSVs
    name: Report
paths:
  /reports/data:
    put:
      tags:
        - Report
      summary: Query report data with request body
      description: >-
        Retrieve report data for Competitive and Benchmark reports. Use this
        endpoint when you need to pass `competitor_source_account_ids` or
        `benchmarks` in the request body.


        - See [Export dashboard report data via
        API](/guides/reporting/export-dashboard-report-data-via-api) for
        detailed guides on each report type.
      operationId: query-report-data
      parameters:
        - description: The content length of report data
          in: query
          name: limit
          required: false
          schema:
            default: 6
            type: integer
        - description: Channels requested by the report
          explode: false
          in: query
          name: channels
          required: true
          schema:
            items:
              enum:
                - FACEBOOK
                - INSTAGRAM
                - INSTAGRAM_UGC
                - INSTAGRAM_STORIES
                - INSTAGRAM_COMPETITIVE
                - INSTAGRAM_BENCHMARKS
                - PINTEREST
                - TIKTOK
                - TWITTER
                - YOUTUBE
              type: string
            minItems: 1
            type: array
          style: form
        - description: Sort Order requested by the report (ASC | DESC)
          in: query
          name: sort_order
          required: false
          schema:
            default: SortOrderEnum.DESC
            enum:
              - ASC
              - DESC
            type: string
        - description: >-
            Start date of the reporting time range. Required if
            include_data=True
          in: query
          name: start_date
          required: true
          schema:
            example: '2021-02-01'
            format: date-time
            type: string
        - description: End date of the reporting time range. Required if include_data=True
          in: query
          name: end_date
          required: true
          schema:
            example: '2021-02-07'
            format: date-time
            type: string
        - description: Filters for specific channels
          in: query
          name: filters
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/ChannelFilters'
        - description: >-
            Preferred filename prefix for the report. If not provided,
            report_type type will be used.
          in: query
          name: filename_prefix
          required: false
          schema:
            type: string
        - description: Metric requested by the report
          explode: false
          in: query
          name: metrics
          required: true
          schema:
            items:
              type: string
            minItems: 1
            type: array
          style: form
        - description: List of ids of the brands requested by the report
          explode: false
          in: query
          name: brand_ids
          required: false
          schema:
            items:
              minimum: 0
              type: integer
            minItems: 1
            type: array
          style: form
        - description: >-
            The way data should be grouped in graph reports, can be either DAILY
            or MONTHLY
          in: query
          name: time_scale
          required: false
          schema:
            default: DAILY
            enum:
              - DAILY
              - MONTHLY
            example: DAILY
            type: string
        - description: >-
            The type report data to return can be: ['CONTENT_OWNED',
            'CONTENT_OWNED_STORIES', 'CONTENT_UGC', 'CONTENT',
            'MULTI_BRAND_METRIC', 'SINGLE_METRIC', 'GRAPH', 'HEADER',
            'COMPETITIVE_CONTENT', 'COMPETITIVE_MULTI_BRAND_METRIC',
            'COMPETITIVE_GRAPH', 'MULTI_METRIC_MEDIA_TYPE', 'BENCHMARK_METRIC',
            'BENCHMARK_GRAPH']
          in: query
          name: report_type
          required: false
          schema:
            default: SINGLE_METRIC
            enum:
              - CONTENT_OWNED
              - CONTENT_OWNED_STORIES
              - CONTENT_UGC
              - CONTENT
              - MULTI_BRAND_METRIC
              - SINGLE_METRIC
              - GRAPH
              - HEADER
              - COMPETITIVE_CONTENT
              - COMPETITIVE_MULTI_BRAND_METRIC
              - COMPETITIVE_GRAPH
              - MULTI_METRIC_MEDIA_TYPE
              - BENCHMARK_METRIC
              - BENCHMARK_GRAPH
            example: SINGLE_METRIC
            type: string
        - description: The format in which the report will be returned
          in: query
          name: format
          required: false
          schema:
            enum:
              - csv
            type: string
        - description: List of ids of the competitive brands requested by the report
          explode: false
          in: query
          name: competitor_source_account_ids
          required: false
          schema:
            items:
              type: string
            minItems: 1
            type: array
          style: form
        - description: >-
            If true, ElasticSearch stats will have a null value instead of a 0
            if no posts of the required type have been created within the
            requested time frame.
          in: query
          name: require_posts
          required: false
          schema:
            default: false
            type: boolean
        - description: >-
            Start date of the reporting comparison time range. Required for
            metric reports
          in: query
          name: context_end_date
          required: false
          schema:
            example: '2021-01-07'
            format: date-time
            type: string
        - description: >-
            If true, the share of voice metric will be calculated for valid
            isntagram competitive metrics
          in: query
          name: include_share_of_voice
          required: false
          schema:
            default: false
            type: boolean
        - description: >-
            Start date of the reporting comparison time range. Required for
            metric reports
          in: query
          name: context_start_date
          required: false
          schema:
            example: '2021-01-01'
            format: date-time
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportDataRequestBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportDataResponse'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    ChannelFilters:
      properties:
        instagram_ugc:
          allOf:
            - $ref: '#/components/schemas/InstagramUGCFilters'
          description: Filters for Instagram UGC channel
      type: object
    ReportDataRequestBody:
      properties:
        benchmarks:
          description: List of benchmarks and their buckets requested by the report
          items:
            $ref: '#/components/schemas/ReportIndustryBenchmarksRequest'
          type: array
        competitor_source_account_ids:
          description: List of ids of the competitive brands requested by the report
          items:
            type: string
          minItems: 1
          type: array
      type: object
    ReportDataResponse:
      properties:
        data:
          description: Report data on the requested metric
          readOnly: true
      type: object
    InstagramUGCFilters:
      properties:
        ugc_media_type:
          description: UGC Media Type
          enum:
            - MENTIONED
            - TAGGED
            - ALL
          example: MENTIONED
          type: string
      type: object
    ReportIndustryBenchmarksRequest:
      properties:
        follower_bucket:
          description: Follower bucket grouping for the data.
          enum:
            - BUCKET_UNKNOWN
            - BUCKET_OVERALL
            - BUCKET_10K_200K
            - BUCKET_200K_1M
            - BUCKET_1M_PLUS
          type: string
        industry_id:
          description: Id of the Industry being requested.
          nullable: true
          type: integer
      required:
        - follower_bucket
        - industry_id
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````